import { Cells } from "../registers";

const executeJump = (cells: Cells, programCounter: number) => {
  const target = cells.loadValueFrom(programCounter + 1);
  cells.validateCellIsPresent(target);
  return {
    pc: target,
    cells: cells.copy(),
    argsLength: 2,
    isHalted: false
  };
};

export default executeJump;
