import { Cells } from "../registers";

const executeJumpIfEqual = (cells: Cells, programCounter: number) => {
  const lhs = cells.loadValueFrom(cells.loadValueFrom(programCounter + 1));
  const rhs = cells.loadValueFrom(cells.loadValueFrom(programCounter + 2));
  return {
    pc: lhs === rhs ? cells.loadValueFrom(programCounter + 3) : programCounter + 4,
    cells: cells.copy(),
    argsLength: 3,
    isHalted: false
  };
};

export default executeJumpIfEqual;
