import { Cells } from "../registers";

const executeCopy = (cells: Cells, programCounter: number) => {
  const srcCell = cells.loadValueFrom(programCounter + 1);
  const targetCellId = cells.loadValueFrom(programCounter + 2);
  cells.putValueIn(targetCellId, cells.loadValueFrom(srcCell));
  return {
    pc: programCounter + 3,
    cells: cells.copy(),
    argsLength: 3,
    isHalted: false
  };
};

export default executeCopy;
