import InputReader from "../inputReader";
import { Cells } from "../registers";

const executeRead = (cells: Cells, programCounter: number, inputReader: InputReader) => {
  const targetCellId = cells.loadValueFrom(programCounter + 1);
  const value = inputReader.readNumber();
  cells.putValueIn(targetCellId, value);
  return {
    pc: programCounter + 2,
    cells: cells.copy(),
    argsLength: 2,
    isHalted: false
  };
};
export default executeRead;
